%define		module	PyQt6-sip
Summary:	The sip module support for PyQt6
Name:		python3-%{module}
Version:	13.10.0
Release:	1
License:	GPL v3
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/MODULE/
Source0:	https://files.pythonhosted.org/packages/source/p/pyqt6_sip/pyqt6_sip-%{version}.tar.gz
# Source0-md5:	885358ed2a11bd778d05045cba8f0d3e
URL:		https://www.riverbankcomputing.com/software/sip/
BuildRequires:	python3-devel >= 1:3.7
BuildRequires:	python3-setuptools
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The sip extension module provides support for the PyQt6 package.

%prep
%setup -q -n pyqt6_sip-%{version}

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{py3_sitedir}/PyQt6/*.so
%{py3_sitedir}/PyQt6_sip-%{version}-py*.egg-info
%changelog
* Tue Feb 25 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-PyQt6-sip.git;a=log;h=master

* Mon Feb 24 2025 Jan Palus <atler@pld-linux.org> 0e87f2d
- up to 13.10.0

* Sat Dec 21 2024 Jan Palus <atler@pld-linux.org> 0caf474
- up to 13.9.1

* Sat Jul 20 2024 Jan Palus <atler@pld-linux.org> c121dfc
- drop -apidocs package info (no %files)

* Sat Jul 20 2024 Jan Palus <atler@pld-linux.org> 9c0291d
- up to 13.8.0

* Mon Oct 30 2023 Jan Palus <atler@pld-linux.org> 7e084d6
- up to 13.6.0

* Mon Jul 24 2023 Jan Palus <atler@pld-linux.org> 84eb549
- up to 13.5.2

* Mon Jul 24 2023 Jan Palus <atler@pld-linux.org> 8efe444
- BR: python3-setuptools

* Fri Apr 21 2023 Jan Palus <atler@pld-linux.org> 6b824c9
- up to 13.5.1

* Mon Apr 10 2023 Jan Palus <atler@pld-linux.org> f524ffa
- up to 13.5.0

* Sun Jan 29 2023 Jan Palus <atler@pld-linux.org> d976563
- rpm version for noarch subpackage

* Sun Jan 29 2023 Jan Palus <atler@pld-linux.org> 809a9df
- up to 13.4.1

* Wed Sep 07 2022 Jan Rękorajski <baggins@pld-linux.org> e5f97b1
- up to 13.4.0

* Thu Jun 30 2022 Jan Rękorajski <baggins@pld-linux.org> e6a7736
- rel 1

* Thu Jun 30 2022 Jan Rękorajski <baggins@pld-linux.org> 3a218ec
- add epoch to be able to update from sip 4.x

* Thu Jun 30 2022 Jan Rękorajski <baggins@pld-linux.org> 40a9ac2
- new

